Get session result
Retrieve detailed technical logs and results for a specific service session (e.g., liveness check, document recognition). This endpoint returns the session context and results.
curl -X GET "https://demo.verigram.kz/journal/session/{session_id}" \
-H "X-Verigram-Api-Key: $IDENTIFICATION_SAAS_API_KEY" \
-H "X-Verigram-Api-Version: 2.0.0"Авторизация
X-Verigram-Api-KeystringheaderобязательноAPI key in the X-Verigram-Api-Key header
Параметры
X-Verigram-Api-VersionstringheaderобязательноRequired API version header.
Значение по умолчанию:2.0.0
Ответ
Detailed session projection result.
session_idstringUnique identifier for the session.
person_idstringIdentifier of a person associated with the session. Alphanumeric string.
consumer_idstringIdentifier of the consumer who owns the session.
flow_idstring | nullIdentifier of the flow associated with the session.
vlink_idstring | nullIdentifier of the vlink associated with the session.
api_versionstringThe version of the API used to create and process this session.
service_nameenum<string>Одно из:veriliveverilive-one-shotverilive-infraredverifaceveridockiscredocegov-docaml-cftflow-formconsentveriphoneesignkyc-listotpnotificationdevice-filterdoc-previewdoc-builderfile-storageclient-carderdinterrupterlanguage-selectoramlcft-servicesession_statusenum<string>The main status of a flow or a service. Helps to make a binary decision whether the flow/service was successful or not. If "pass" - the flow/service was successful, unsuccessful otherwise.
Одно из:passfailunknowntest_sessionboolean | nullWhether the session was created for test purposes.
step_idstring | nullprocessstring | nulluser_ipstring | nullvendorstring | nullcreated_atstring<date-time>Timestamp when the session was created.
updated_atstring<date-time>Timestamp of the last update to the session's state.
session_statesSessionState[]History of execution states reached by this session.
resultone of
{
"session_id": "string",
"person_id": "string",
"consumer_id": "string",
"flow_id": "string",
"vlink_id": "string",
"api_version": "string",
"service_name": "verilive",
"session_status": "pass",
"test_session": true,
"step_id": "string",
"process": "string",
"user_ip": "string",
"vendor": "string",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"session_states": [
{
"state_name": "created",
"created_at": "2026-01-15T09:30:00Z"
}
],
"result": {
"created_at": "2026-01-15T09:30:00Z",
"created_by": "string",
"error_code": "string",
"error_msg": "string",
"service_name": "verilive",
"service_status": "real",
"error_codes": [
"timeout"
],
"warnings": [
"timeout"
],
"start_time": "2026-01-15T09:30:00Z",
"end_time": "2026-01-15T09:30:00Z"
}
}